发布时间 :2006-05-12 16:06:00
修订时间 :2017-07-19 21:30:37

[原文]Multiple integer overflows in Apple QuickTime before 7.1 allow remote attackers to execute arbitrary code via a crafted QuickTime H.264 (M4V) video format file.

[CNNVD]Apple QuickTime H.264电影 整数溢出或缓冲区溢出漏洞(CNNVD-200605-236)

        Apple QuickTime是一款流行的多媒体播放器,支持多种媒体格式。
        Apple QuickTime 7.1之前的版本,攻击者可以创建特制的H.264电影触发整数溢出或缓冲区溢出,导致导致以用户权限执行任意指令或拒绝服务。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CWE (弱点类目)

CWE-189 [数值错误]

- CPE (受影响的平台与产品)

cpe:/a:apple:quicktime:7.0.1Apple Quicktime 7.0.1
cpe:/a:apple:quicktime:7.0.4Apple Quicktime 7.0.4
cpe:/a:apple:quicktime:7.0.3Apple Quicktime 7.0.3
cpe:/a:apple:quicktime:7.0.2Apple Quicktime 7.0.2
cpe:/a:apple:quicktime:7.0.0Apple Quicktime 7.0.0

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(PATCH)  APPLE  APPLE-SA-2006-05-11
(PATCH)  SECTRACK  1016067
(PATCH)  BUGTRAQ  20060512 Apple QuickDraw/QuickTime Multiple Vulnerabilities
(PATCH)  BID  17953
(UNKNOWN)  XF  quicktime-h264-overflow(26395)

- 漏洞信息

Apple QuickTime H.264电影 整数溢出或缓冲区溢出漏洞
中危 缓冲区溢出
2006-05-12 00:00:00 2006-05-25 00:00:00
        Apple QuickTime是一款流行的多媒体播放器,支持多种媒体格式。
        Apple QuickTime 7.1之前的版本,攻击者可以创建特制的H.264电影触发整数溢出或缓冲区溢出,导致导致以用户权限执行任意指令或拒绝服务。

- 公告与补丁


- 漏洞信息 (F46419)

McAfee-2006-0511.txt (PacketStormID:F46419)
2006-05-21 00:00:00
Mike Price  
advisory,arbitrary,vulnerability,code execution

Two code execution vulnerabilities are present in Apple QuickDraw PICT image format support. Twenty one code execution vulnerabilities are present in Apple QuickTime support for various multimedia formats including: MOV, H.264, MPEG 4, AVI, FPX and SWF. Exploitation could lead to execution of arbitrary code. In order for an attack to succeed user interaction is required and therefore the risk factor for these issues is medium. Vulnerable systems include Mac OS X versions 10.4.6 and below without the May 2006 security update installed, QuickTime versions 7.0.4 and below for Mac OS X, and QuickTime for Windows versions 7.0.4 and below.


McAfee, Inc.
McAfee Avert    

- 漏洞信息

Apple QuickTime M4V Processing Multiple Overflows
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-09 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 7.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete